# keystone.limit.models.base module

class keystone.limit.models.base.ModelBase

  Bases: `object`

  Interface for a limit model driver.

  DESCRIPTION: str
  MAX_PROJECT_TREE_DEPTH: int | None = None
  NAME: str
  check_limit(limits)

    Check the new creating or updating limits if satisfy the model.

    Parameters:

      limits (A list of the limits. Each limit is a dictionary reference containing all limit attributes.) – A list of the limit references to be checked.

    Raises:

      keystone.exception.InvalidLimit – If any of the input limits doesn’t satisfy the limit model.

keystone.limit.models.base.load_driver(driver_name, *args)

this page last updated: 2026-04-01 20:09:17

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug